zenilib: inflate_blocks_state Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
inflate_blocks_state Struct Reference

`#include <infutil.h>`

## Public Attributes

uLong | bitb
uInt | bitk
uLong | check
check_func | checkfn
Bytef * | end
inflate_huft * | hufts
uInt | last
inflate_block_mode | mode
Bytef * | read
union {
struct {
inflate_codes_statef * codes
} decode
uInt left
struct {
uInt bb
uIntf * blens
uInt index
uInt table
inflate_huft * tb
} trees
} | sub
Bytef * | window
Bytef * | write

## Detailed Description

Definition at line 28 of file infutil.h.

## Member Data Documentation

uInt inflate_blocks_state::bb

Definition at line 40 of file infutil.h.

uLong inflate_blocks_state::bitb

Definition at line 52 of file infutil.h.

uInt inflate_blocks_state::bitk

Definition at line 51 of file infutil.h.

uIntf* inflate_blocks_state::blens

Definition at line 39 of file infutil.h.

uLong inflate_blocks_state::check

Definition at line 59 of file infutil.h.

check_func inflate_blocks_state::checkfn

Definition at line 58 of file infutil.h.

inflate_codes_statef* inflate_blocks_state::codes

Definition at line 45 of file infutil.h.

struct { ... } inflate_blocks_state::decode

Bytef* inflate_blocks_state::end

Definition at line 55 of file infutil.h.

inflate_huft* inflate_blocks_state::hufts

Definition at line 53 of file infutil.h.

uInt inflate_blocks_state::index

Definition at line 38 of file infutil.h.

uInt inflate_blocks_state::last

Definition at line 48 of file infutil.h.

uInt inflate_blocks_state::left

Definition at line 35 of file infutil.h.

inflate_block_mode inflate_blocks_state::mode

Definition at line 31 of file infutil.h.

Bytef* inflate_blocks_state::read

Definition at line 56 of file infutil.h.

union { ... } inflate_blocks_state::sub

uInt inflate_blocks_state::table

Definition at line 37 of file infutil.h.

inflate_huft* inflate_blocks_state::tb

Definition at line 41 of file infutil.h.

struct { ... } inflate_blocks_state::trees

Bytef* inflate_blocks_state::window

Definition at line 54 of file infutil.h.

Bytef* inflate_blocks_state::write

Definition at line 57 of file infutil.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/gzip/infutil.h